If you decide to keep a lot of Solidworks features in many different folders, finding the feature in the tree could be a bit tricky, especially for the person who is not familiar with the project. Default way of finding a feature in the tree is to select the feature in the 3D model and then do the right click followed by 2 extra clicks as shown on the pictures below. Amount of clicking and scrolling could be a bit annoying:



There is a lot of features which can be added as a clickable button into the menus and shortcuts can be also created. Unfortunately option Go To Feature (in Tree) is NOT one of them 🙁

However, the only one sensible option I found is to create a macro.
To do that go to Tools->Macro->New…:

Now save the Macro anywhere you want under any file name you wish:

Now remove EVERYTHING from the window…

…and paste the following code into the widnow:
Sub main()
Application.SldWorks.RunCommand 1587, “”
End Sub

Now press save button and close the window
Now open from anywhere the Customize option and go to Commands tab, then select Macro and then drag and drop the last icon anywhere you wish:

Now select the macro file which we have just created and if you wish you can use any BMP file as a non standard icon:

Click OK and OK again to close Customize window.
Your new macro icon will appear in place you dropped it. It will run the macro:

Now you can:
- click any feature in the 3D model and then
- click the icon.
- It will take you straight into the menu tree where the feature sits 🙂
- Enjoy!
Hi Pawel, Thanks for sharing your work.
I found your site through searching something like;
SolidWorks Part, Use “go to feature (in tree)” within a design tree search.
So I’ve been trying to figure out why I can’t access this command to locate searched items in the tree? In the past I’ve clicked an item in the search field to highlight it and then scrolled down through the tree to find it. Some part files trees get quite long particularly when I’m conceptualizing and have multiple bodies.
I just tried you macro,
Sub main()
Application.SldWorks.RunCommand 1587, “”
End Sub
In hope it would work in a search list.
Do you have any thoughts on this? Thanks. Rob.
I will try it for sure – thank you Rob!! 🙂